import axios from 'axios';
// ----------------------列表-----------------------
const pageBillUrl = '/acidRain/acidRainBill/page';
// 添加
const saveAcidRainBill = function (data) {
    return axios.post("/acidRain/acidRainBill/importBatch",data)
}

// 删除
const removeAcidRainBill = function (id) {
    return axios.delete(`/acidRain/acidRainBill/${id}`,)
}
// 批量删除
const removeBatchAcidRainBill = function (ids) {
    return axios.delete("/acidRain/acidRainBill/batch",{data:ids})
}

// 修改
const updateAcidRainBill = function (data) {
    return axios.put("/acidRain/acidRainBill",data)
}
// 审核
const verifyAcidRainBill = function (data) {
    return axios.put("/acidRain/acidRainBill/verify",data);
}
const getAcidRainBill = function (id) {
    return axios.get(`/acidRain/acidRainBill/${id}`)
}
// -------------------------数据---------------------
const pageAcidRainUrl = '/acidRain/acidRain/page';
// 添加
const saveAcidRain = function (data) {
    return axios.post("/acidRain/acidRain",data)
}

// 删除
const removeAcidRain = function (id) {
    return axios.delete(`/acidRain/acidRain/${id}`,)
}
// 批量删除
const removeBatchAcidRain = function (ids) {
    return axios.delete("/acidRain/acidRain/batch",{data:ids})
}

// 修改
const updateAcidRain = function (data) {
        return axios.put("/acidRain/acidRain",data)
}

// -------------------------统计---------------------
const pageAcidRainStatisticUrl = '/acidRain/acidRain/statistic';

const getHistoryyears = function () {
    return axios.get("/acidRain/acidRain/history-year")
}
const getColumnOptions = function(column){
    return axios.get("/acidRain/acidRain/options",{params:{column}})
}
// ---gis--
const getPlaceGis = function(data){
    return axios.get("/acidRain/acidRain/gis/place",{params:data})
}
const statisticCity = "/acidRain/acidRain/statistic/city"
const statisticCounty = "/acidRain/acidRain/statistic/county"
const statisticIon = "/acidRain/acidRain/statistic/ion"

export {
    pageBillUrl,
    saveAcidRainBill,
    removeAcidRainBill,
    updateAcidRainBill,
    removeBatchAcidRainBill,
    verifyAcidRainBill,
    getAcidRainBill,
    pageAcidRainUrl,
    saveAcidRain,
    removeAcidRain,
    updateAcidRain,
    removeBatchAcidRain,
    pageAcidRainStatisticUrl,
    getHistoryyears,
    getColumnOptions,
    statisticCity,
    statisticIon,
    statisticCounty,
    getPlaceGis
}
